Skip to content

Replace insurance

Request

Fully replaces an existing Insurance. All fields must be provided.

Security
bearer
Path
siteIdnumberrequired

Site identifier

insuranceIdstringrequired

Insurance unique identifier (UUID)

Bodyapplication/jsonrequired
policyNumberstringrequired

Insurance policy number.

Example:"example"
providerobject(CodeableConceptDto)required

Insurance provider/company.

animalIdstringrequired

Reference to the insured animal.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstringrequired

Reference to the policy holder contact.

Example:"123e4567-e89b-12d3-a456-426614174000"
coverageTypeobject(CodeableConceptDto)required

Type of coverage (accident, illness, wellness, comprehensive).

effectiveDatestringrequired

Date the policy becomes effective.

Example:"2025-01-01"
expiryDatestringrequired

Date the policy expires.

Example:"2025-01-01"
isActivebooleanrequired

Whether the policy is currently active.

Example:true
extensionsobjectrequired

Vendor- or practice-specific extensions.

curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/insurance/{insuranceId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "policyNumber": "example",
    "provider": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "animalId": "123e4567-e89b-12d3-a456-426614174000",
    "contactId": "123e4567-e89b-12d3-a456-426614174000",
    "coverageType": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    },
    "effectiveDate": "2025-01-01",
    "expiryDate": "2025-01-01",
    "isActive": true,
    "extensions": {}
  }'

Responses

Insurance replaced successfully

Bodyapplication/json
insuranceIdstringrequired

Canonical unique identifier for the insurance record.

Example:"123e4567-e89b-12d3-a456-426614174000"
policyNumberstringrequired

Insurance policy number.

Example:"example"
providerobject(CodeableConceptDto)required

Insurance provider/company.

animalIdstringrequired

Reference to the insured animal.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstringrequired

Reference to the policy holder contact.

Example:"123e4567-e89b-12d3-a456-426614174000"
coverageTypeobject(CodeableConceptDto)required

Type of coverage (accident, illness, wellness, comprehensive).

effectiveDatestring, (date-time)required

Date the policy becomes effective.

Example:"2025-01-01T00:00:00Z"
expiryDatestring, (date-time)required

Date the policy expires.

Example:"2025-01-01T00:00:00Z"
isActivebooleanrequired

Whether the policy is currently active.

Example:true
createdAtstring, (date-time)required

Timestamp when the insurance record was created.

Example:"2025-01-01T00:00:00.000Z"
updatedAtstring, (date-time)required

Timestamp when the insurance record was last updated.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

Response
{ "insuranceId": "123e4567-e89b-12d3-a456-426614174000", "policyNumber": "example", "provider": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "animalId": "123e4567-e89b-12d3-a456-426614174000", "contactId": "123e4567-e89b-12d3-a456-426614174000", "coverageType": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "effectiveDate": "2025-01-01T00:00:00Z", "expiryDate": "2025-01-01T00:00:00Z", "isActive": true, "createdAt": "2025-01-01T00:00:00.000Z", "updatedAt": "2025-01-01T00:00:00.000Z", "extensions": {} }